My Oracle Support Banner

LIBOCCI.SO NOT ADVERTISED IN 19C INSTANT CLIENT LINUX RPM FILES. (Doc ID 2746296.1)

Last updated on FEBRUARY 03, 2021

Applies to:

Oracle Database - Standard Edition - Version 19.3.0.0.0 and later
Information in this document applies to any platform.

Symptoms

libocci.so not advertised in 19c Instant client linux RPM files.

Description of problem
======================

The current oracle-instantclient19.3-basic rpm contains the libocci.so.19.1 library:

[itctabuild02] ~ > rpm -ql oracle-instantclient19.3-basic | grep
libocci.so.19.1
/usr/lib/oracle/19.3/client64/lib/libocci.so.19.1
[itctabuild02] ~ >

Unfortunately it does not advertise this fact in the list of capabilities that it provides:

[itctabuild02] ~ > rpm -q --provides oracle-instantclient19.3-basic
libclntsh.so.19.1
libclntsh.so = 19.1
oracle-instantclient19.3-basic = 19.3.0.0.0-1
oracle-instantclient19.3-basic(x86-64) = 19.3.0.0.0-1
[itctabuild02] ~ >

Any application rpm requiring the "libocci.so.19.1" capability will fail to be installed because YUM cannot determine
that the oracle-instantclient19.3-basic rpm is the actual one required.

Kindly add .

NOTE: Sample code is provided just for demonstration purpose only.

 

Changes

"libocci.so.19.1" is missing to the list of capabilities in the "instant client basic" rpms by default

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.